package myverticle;

import io.vertx.core.Vertx;
import io.vertx.core.json.JsonObject;

import java.sql.SQLException;

import mockit.Mocked;
import mockit.integration.junit4.JMockit;

import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(JMockit.class)
public class JDBCClientFactoryTest {

  @Mocked
  Vertx vertx;

  @Test
  public void testCorrectClientCreation() throws SQLException {
    JsonObject config = new JsonObject();
    JsonObject almDbConfig = new JsonObject();
    almDbConfig.put(ConfigKeys.DB_URL, "jdbc:sql...");
    almDbConfig.put(ConfigKeys.DRIVER_CLASS, "java.lang.String");
    new JDBCClientFactory(vertx, config).createJDBCClient();
  }
}
